Create or update a runtime field

Base URL
https://{kibana_url}
  • PUT /api/data_views/data_view/{viewId}/runtime_field
Auth

Create or update a runtime field for a data view. If the runtime field already exists, it is replaced with the new definition.

Path parameters

viewId string required

The ID of the data view fields you want to update.

Header parameters

kbn-xsrf string required

Cross-site request forgery protection

Request body

name string required

The name for a runtime field.

runtimeField object required

The runtime field definition object.

Responses

Indicates a successful call.

application/json
data_view object
fields object[]

Bad request

application/json
error string required
message string required
statusCode number required
Base URL
https://{kibana_url}